#include <WScom.h>
#include <numfield.h>
#include <WSCbase.h>
//----------------------------------------------------------
//Function for the event procedure
//----------------------------------------------------------
#include <WSCvifield.h>
#include <WSCvarrow.h>

void numfield::downep(WSCbase* object){
  numfield* base = (numfield*)object->getUserData(WS_BASE_CLASS);
  long val = base->numvifi_002->getProperty(WSNlabelString);
  val--;
  base->numvifi_002->setProperty(WSNlabelString,val);
}
